

/* SETUP */


:root {
	--text: ;
	--background: #ebe7db;
	--primary: #9ace92;
	--secondary: #dbdfeb;
	--accent: #f5a8b8;
	--shadow: 0 0.4vw 0.6vw rgba(0, 0, 0, 0.1), 0 0 0 0.2vw rgba(0, 0, 0, 0.1);
}

body {
	margin: 2.5vw;
	background-attachment: fixed;
	background-color:hsla(0,0%,100%,1);
	background-image:
	radial-gradient(at 40% 20%, hsla(28,100%,74%,1) 0px, transparent 50%),
	radial-gradient(at 80% 0%, hsla(189,100%,56%,0.73) 0px, transparent 50%),
	radial-gradient(at 0% 50%, hsla(355,100%,93%,1) 0px, transparent 50%),
	radial-gradient(at 74% 46%, hsla(340,100%,76%,1) 0px, transparent 50%),
	radial-gradient(at 0% 100%, hsla(22,100%,77%,1) 0px, transparent 50%),
	radial-gradient(at 80% 100%, hsla(242,100%,70%,1) 0px, transparent 50%),
	radial-gradient(at 13% 17%, hsla(343,100%,76%,1) 0px, transparent 50%);
	text-decoration: none;
	font-size: 2.5vw;
	text-align: center;
	font-family: "Sour Gummy", sans-serif;
}

img {
	width: 100%;
	object-fit: contain;
	overflow: hidden;
}

a {
	text-decoration: none;
	color: black;
}



/* CLASSES */



.section {
	margin-bottom: 5vw;
}

.title {
	margin-bottom: 2.5vw;
	font-size: 5vw;
}

.flex-box {
	display: flex;
	width: 100%;
	gap: 2.5vw;
	flex-flow: row wrap;
	align-items: center;
}

.flex-item {
	flex: 1 0 0;
}


/* CUSTOM */


.button {
	border-radius: 1vw;
	background-color: var(--primary);
	padding: 1vw;
	box-shadow: var(--shadow);
	transition: 0.25s linear; 
}

.button-img {
	transition: 0.25s linear; 
}

.button-img img {
	border-radius: 1vw;
	box-shadow: var(--shadow);
}

.button:hover, .button-img:hover {
	opacity: 0.5;
}

.box {
	border-radius: 1vw;
	background-color: var(--secondary);
	padding: 2.5vw;
	box-shadow: var(--shadow);
}

.color-effect {
	background: linear-gradient(120deg,var(--primary),var(--accent));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.easteregg-sexy:after {
	content: "Stay Sexy ❤";
}

.easteregg-sexy:hover:after {
	content: "You're Sexy ;)";
}

.easteregg-blahaj:hover {
	transform: scaleX(-1);
}